<?php
/*
 * 说明: 179查询时会通过该接口来抓取订单信息,从数据库读出,组装信息返回
 * 请求方式: post
 * 参数: orderNo
 * 返回: json字符串
 * 参数解释:
 * 接口在以下地址检测通过
 * http://tool.qdhuaxun.cn/?179order
 */
include __DIR__.'/base.php';
$orderno = isset($_POST['orderNo'])?$_POST['orderNo']:'';
if(empty($orderno)){
   exit('[]');
}
/////实现以下方法,从数据库读取数据,组装数据
$order = db::select('select * from bg_order where orderno = "'.$orderno.'"');
if(empty($order)){
   exit('[]');
}
$pay_info = db::select('select * form bg_order_pay where order_id='.$order['id']);
$goods    = db::all('select * from bg_order_goods where order_id='.$order['id'])->all();
foreach($goods as $v){
   $goods_list[] = array(
      'gname'    => $v['goods_name'],
      'itemLink' => 'http://HOST/?a=viewgoods&id='.$v['id'],
   );
}
////////实现以上方法//////////
$resp = array(
   'initalRequest'    => $pay_info['request'],	//发送给支付企业的原始请求,微信xml,支付宝url
   'initalResponse'   => $pay_info['response'], //支付成功后回调的原始请求
   'payTransactionId' => $pay_info['pay_transaction_id'], //交易流水号(支付报关时有返回,微信:verify_department_trade_id,支付宝:pay_transaction_id)
   'verDept'          => $pay_info['ver_dept'],//填:1,2,3;支付报关返回,支付宝直接用:ver_dept,微信:verify_department,需要转换:'UNIONPAY'=>1,'NETSUNION'=> 2,'OTHERS'=>3
   'totalAmount'      => $order['order_money'], //实际支付金额,单位元
   'tradingTime'      => $order['pay_time'],    //时间格式,date('YmdHis'),例子:20181212041803
   'goods'            => $goods_list,
   'ebpCode'          => 'EBPCODE123',          //电商平台十位海关编码
   'payCode'          => '4403169D3W',          //支付企业十位海关编码,微信:4403169D3W,支付宝:31222699S7,其他的按实际填
   'recpAccount'      => '6222024563566666666', //公司对公银行卡号(最终收款的卡号)
   'recpName'         => '收款企业名称',          //电商平台海关备案名称
);
echo json_encode($resp);